@extends('admin.index')
@section('content')

  <title>{{trans('admin.StoresCost')}}</title>

    <main id="js-page-content" role="main" class="page-content">
                    <ol class="breadcrumb page-breadcrumb no-print">
                        <li class="breadcrumb-item"><a href="javascript:void(0);"> {{trans('admin.Reports')}} </a></li>
                        <li class="breadcrumb-item active">{{trans('admin.StoresCost')}} </li>
                        <li class="position-absolute pos-top pos-right d-none d-sm-block"><span class="js-get-date"></span></li>
                    </ol>
                    <div class="subheader">

                    </div>
                    <div class="row">
                        <div class="col-xl-12">
                            <div id="panel-1" class="panel">
                                <div class="panel-hdr">
                                    <h2>
                                        <span class="fw-300"><i>  {{trans('admin.StoresCost')}}</i></span>
                                    </h2>

                                    <div class="panel-toolbar">
                                        <button class="btn btn-sm btn-primary waves-effect waves-themed d-none" onclick="window.print()" style="margin-left:3px"><i class="fal fa-print"></i>       {{trans('admin.Print')}}</button>
                                        <button class="btn btn-primary btn-sm mx-3" data-toggle="dropdown">Table Style</button>
                                        @include('admin.layouts.toolbar')
                                    </div>

                                </div>
                                <div class="panel-container show">
                                    <div class="panel-content">
                                        <form action="{{url('StoresCostFilterTwo')}}" method="get">


                                    <div class="form-row">

                                            <div class="form-group col-md-4 col-12" style="display: none">
                                             <label class="form-label" for="">  {{trans('admin.Group')}}  </label>
                                             <select class="select2 form-control w-100 ; select-border" multiple id="group" name="group[]">
                                                   @foreach($ItemsGroups as $grp)
                                                  <option value="{{$grp->id}}">      {{app()->getLocale() == 'ar' ?$grp->Name :$grp->NameEn}} </option>
                                                @endforeach
                                             </select>
                                          </div>

                                                   <div class="form-group col-lg-3 col-3-print">
                                             <label class="form-label" for="">  {{trans('admin.Group')}}  </label>
                                             <select class="select2 form-control w-100 ; select-border"  id="GroupSingle" name="GroupSingle">
                                                 <option value="">{{trans('admin.Group')}}</option>
                                                   @foreach($ItemsGroups as $grp)
                                                  <option value="{{$grp->id}}">

                                         {{app()->getLocale() == 'ar' ?$grp->Name :$grp->NameEn}}

                                                 </option>
                                                @endforeach
                                             </select>
                                          </div>

                 <div class="form-group col-lg-3 col-3-print">
                  <label class="form-label" for="">  {{trans('admin.Stores')}}  </label><span class="strick">*</span>
                              <select class="select2 form-control w-100" id="Store" name="Store" required>
                               <option value="">{{trans('admin.Stores')}}</option>
                                                                @foreach($Stores as $store)
                                          <option value="{{$store->id}}">

                                             {{app()->getLocale() == 'ar' ?$store->Name :$store->NameEn}}
                                  </option>
                                                                @endforeach
                                                            </select>
                                            </div>

                                 <div class="form-group col-lg-3 col-3-print">
                                                <label class="form-label" for=""> {{trans('admin.Zero_Balances')}} </label>
                                                <select class="select2 form-control w-100" id="Zero" name="Zero" required>
                                                    <option value="">{{trans('admin.Zero_Balances')}}</option>
                                                    <option value="1" selected >{{trans('admin.NO')}}</option>
                                                    <option value="0" >{{trans('admin.Yes')}}</option>
                                                </select>
                                            </div>


                <div class="form-group col-lg-11 no-print">
                 <label class="form-label" for="">  {{trans('admin.Search_For_Products')}}  </label>
                                            <div class="input-items position-re">
                       <input type="text" id="search" class="form-control" placeholder="{{trans('admin.Search_For_Products')}}" name="search">
                                                                     @if(app()->getLocale() == 'ar' )
                     <i class="fal fa-barcode-alt" style="position:absolute ;top:5px;left:3px;"></i>
                      @else
                            <i class="fal fa-barcode-alt" style="position:absolute ;top:5px;right: 0;left:auto;"></i>
                      @endif
                                            </div>
                                         </div>

                                        <div class="form-group col-lg-1 no-print" style="padding: 22px;">

                    <button type="submit" class="btn btn-primary"><i class="fal fa-search"></i></button>

                                        </div>

                                        </div>


                                           </form>
                                        <!-- datatable start -->
                                        <div id="mobile-overflow">
                                        <table id="X"
                                            class="table table-bordered table-hover table-striped w-100 mobile-width th-width">
                                            <thead class="bg-highlight">
                                                <tr>
                                                     <th>{{trans('admin.Code')}} </th>
                                                    <th>{{trans('admin.Name')}} </th>
                                                    <th>{{trans('admin.Unit')}} </th>
                                                    <th>{{trans('admin.Qty')}} </th>
                                                    <th>{{trans('admin.Avg_Purch')}} </th>
                                                    <th>{{trans('admin.Cost')}} </th>
                                                </tr>
                                            </thead>
                                            <tbody class="Data" >


                                            </tbody>
                                        </table>
                                        </div>

                                        <div class="panel-content">
                                             <div id="mobile-overflow">
                                        <table class="table table-bordered table-hover table-striped w-100 mt-4 mobile-width">
                                            <tbody>
                                                <tr>
                                                    <td> {{trans('admin.Products_Num')}} </td>
                                                    <td  id="PRONUMS"></td>
                                                    <td> {{trans('admin.Total_Qty')}}</td>
                                                    <td  id="TOTALQTY"></td>

                                                </tr>
                                                <tr>
                  <td style="text-align: center; font-size: 200%; " colspan="2">{{trans('admin.Total_Cost')}}  </td>
                  <td style="text-align: center; font-size: 200%;" colspan="2" id="TOTALCOST"></td>


                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    </div>
                                        <!-- datatable end -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </main>
@endsection

@push('js')
   <link rel="stylesheet" media="screen, print" href="{{asset('Admin/css/datagrid/datatables/datatables.bundle.css')}}">
    <link rel="stylesheet" media="screen, print" href="{{asset('Admin/css/formplugins/select2/select2.bundle.css')}}">

    <script src="{{asset('Admin/js/datagrid/datatables/datatables.export.js')}}"></script>
    <script src="{{asset('Admin/js/datagrid/datatables/datatables.bundle.js')}}"></script>
    <script src="{{asset('Admin/js/formplugins/select2/select2.bundle.js')}}"></script>
    <script>
        $(document).ready(function()
        {
            $(function()
            {
                $('.select2').select2();

                $(".select2-placeholder-multiple").select2(
                {
                    placeholder: "Select State"
                });
                $(".js-hide-search").select2(
                {
                    minimumResultsForSearch: 1 / 0
                });
                $(".js-max-length").select2(
                {
                    maximumSelectionLength: 2,
                    placeholder: "Select maximum 2 items"
                });
                $(".select2-placeholder").select2(
                {
                    placeholder: "Select a state",
                    allowClear: true
                });

                $(".js-select2-icons").select2(
                {
                    minimumResultsForSearch: 1 / 0,
                    templateResult: icon,
                    templateSelection: icon,
                    escapeMarkup: function(elm)
                    {
                        return elm
                    }
                });

                function icon(elm)
                {
                    elm.element;
                    return elm.id ? "<i class='" + $(elm.element).data("icon") + " mr-2'></i>" + elm.text : elm.text
                }

                $(".js-data-example-ajax").select2(
                {
                    ajax:
                    {
                        url: "https://api.github.com/search/repositories",
                        dataType: 'json',
                        delay: 250,
                        data: function(params)
                        {
                            return {
                                q: params.term, // search term
                                page: params.page
                            };
                        },
                        processResults: function(data, params)
                        {
                            // parse the results into the format expected by Select2
                            // since we are using custom formatting functions we do not need to
                            // alter the remote JSON data, except to indicate that infinite
                            // scrolling can be used
                            params.page = params.page || 1;

                            return {
                                results: data.items,
                                pagination:
                                {
                                    more: (params.page * 30) < data.total_count
                                }
                            };
                        },
                        cache: true
                    },
                    placeholder: 'Search for a repository',
                    escapeMarkup: function(markup)
                    {
                        return markup;
                    }, // let our custom formatter work
                    minimumInputLength: 1,
                    templateResult: formatRepo,
                    templateSelection: formatRepoSelection
                });

                function formatRepo(repo)
                {
                    if (repo.loading)
                    {
                        return repo.text;
                    }

                    var markup = "<div class='select2-result-repository clearfix d-flex'>" +
                        "<div class='select2-result-repository__avatar mr-2'><img src='" + repo.owner.avatar_url + "' class='width-2 height-2 mt-1 rounded' /></div>" +
                        "<div class='select2-result-repository__meta'>" +
                        "<div class='select2-result-repository__title fs-lg fw-500'>" + repo.full_name + "</div>";

                    if (repo.description)
                    {
                        markup += "<div class='select2-result-repository__description fs-xs opacity-80 mb-1'>" + repo.description + "</div>";
                    }

                    markup += "<div class='select2-result-repository__statistics d-flex fs-sm'>" +
                        "<div class='select2-result-repository__forks mr-2'><i class='fal fa-lightbulb'></i> " + repo.forks_count + " Forks</div>" +
                        "<div class='select2-result-repository__stargazers mr-2'><i class='fal fa-star'></i> " + repo.stargazers_count + " Stars</div>" +
                        "<div class='select2-result-repository__watchers mr-2'><i class='fal fa-eye'></i> " + repo.watchers_count + " Watchers</div>" +
                        "</div>" +
                        "</div></div>";

                    return markup;
                }

                function formatRepoSelection(repo)
                {
                    return repo.full_name || repo.text;
                }
            });
        });

    </script>
    <script>
        //_fnFeatureHtmlLength();
        $(document).ready(function () {
            // Setup - add a text input to each footer cell
            $('#dt-basic-example thead tr').clone(true).appendTo('#dt-basic-example thead');
            $('#dt-basic-example thead tr:eq(1) th').each(function (i) {
                var title = $(this).text();
                $(this).html('<input type="text" class="form-control form-control-sm" placeholder="Search ' + title + '" />');


                $('input', this).on('keyup change', function () {
                    if (table.column(i).search() !== this.value) {
                        table
                            .column(i)
                            .search(this.value)
                            .draw();
                    }
                });
            });
            var table = $('#dt-basic-example').DataTable(
                {
                    // responsive: true,
                    orderCellsTop: true,
                    fixedHeader: true,
                    lengthChange: true,

                    dom: "<'row mb-3'<'col-sm-12 col-md-3 d-flex align-items-center justify-content-start'f><'col-sm-12 col-md-9 d-flex align-items-center justify-content-end'B>>" +
                        "<'row'<'col-sm-12'tr>>" +
                        "<'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",

                    buttons: [
                        {
                            extend: 'pageLength',
                            className: 'btn-outline-default'
                        },
                        {
                            extend: 'colvis',
                            text: 'Column Visibility',
                            titleAttr: 'Col visibility',
                            className: 'btn-outline-default'
                        },
                        {
                            extend: 'pdfHtml5',
                            text: 'PDF',
                            titleAttr: 'Generate PDF',
                            className: 'btn-outline-danger btn-sm mr-1'
                        },
                        {
                            extend: 'excelHtml5',
                            text: 'Excel',
                            titleAttr: 'Generate Excel',
                            className: 'btn-outline-success btn-sm mr-1'
                        },
                        {
                            extend: 'csvHtml5',
                            text: 'CSV',
                            titleAttr: 'Generate CSV',
                            className: 'btn-outline-primary btn-sm mr-1'
                        },
                        {
                            extend: 'copyHtml5',
                            text: 'Copy',
                            titleAttr: 'Copy to clipboard',
                            className: 'btn-outline-primary btn-sm mr-1'
                        },
                        {
                            extend: 'print',
                            text: 'Print',
                            titleAttr: 'Print Table',
                            className: 'btn-outline-primary btn-sm'
                        }
                    ],
                });
            $('.js-thead-colors a').on('click', function () {
                var theadColor = $(this).attr("data-bg");
                console.log(theadColor);
                $('#dt-basic-example thead').removeClassPrefix('bg-').addClass(theadColor);
            });

            $('.js-tbody-colors a').on('click', function () {
                var theadColor = $(this).attr("data-bg");
                console.log(theadColor);
                $('#dt-basic-example').removeClassPrefix('bg-').addClass(theadColor);
            });

        });

    </script>


<!-- Unit Code and Name V -->
<script>
    function  UnitCodeStart(x){

    var countryId = $('#UnitStart'+x).val();
    var Pro = $('#Product'+x).val();
     var code = $('#CodeStart'+x).val();
     var Small = $('#SMALLAVG'+x).val();
     var store = $('#Store').val();
                      if(countryId) {
                          $.ajax({
                             url: 'UnitNameCodeInventoryFilterTWO/'+countryId+'/'+Pro+'/'+code+'/'+store+'/'+Small,
                              type:"GET",
                              dataType:"json",
                              beforeSend: function(){
                                  $('#loader').css("visibility", "visible");
                              },

                              success:function(data) {
                                  $.each(data, function(key, value){

                        $('#Qty'+x).val(data.qty);
                         $('#AVG'+x).val(parseFloat(data.price));
                      var AVG=  $('#AVG'+x).val();
                      var Qty=  $('#Qty'+x).val();

 var Rsu = parseFloat(Qty) * parseFloat(AVG) ;

              $('#COST'+x).val(parseFloat(Rsu));



     $.fn.rowCount = function() {
     return $('tr', $(this).find('tbody')).length;
   };

   var rowctr = $('#X').rowCount();

    var sumQ = 0;
   $('.Qun').each(function(){
   sumQ += parseFloat($(this).val());
   });

    var sumT = 0;
   $('.Tot').each(function(){
   sumT += parseFloat($(this).val());
   });

   $('#PRONUMS').text(parseFloat(rowctr));
   $('#TOTALQTY').text(parseFloat(sumQ));
   $('#TOTALCOST').text(parseFloat(sumT));

                                  });

                              },
                              complete: function(){
                                  $('#loader').css("visibility", "hidden");
                              }
                          });
                      } else {

                          $('select[name="state"]').empty();
                      }

}
</script>

<!-- Unit Code and Name -->
<script>
    function  UnitCodeStartt(x){

    var countryId = $('#UnitStart'+x).val();
    var Pro = $('#Product'+x).val();
     var code = $('#CodeStart'+x).val();
     var store = $('#Store').val();
      var Small = $('#SMALLAVG'+x).val();
                      if(countryId) {
                          $.ajax({
                              url: 'UnitNameCodeInventoryFilterTWO/'+countryId+'/'+Pro+'/'+code+'/'+store+'/'+Small,
                              type:"GET",
                              dataType:"json",
                              beforeSend: function(){
                                  $('#loader').css("visibility", "visible");
                              },

                              success:function(data) {
                                  $.each(data, function(key, value){

                        $('#Qty'+x).val(data.qty);
                           $('#CodeStart'+x).val(data.code);
 $('#AVG'+x).val(parseFloat(data.price));
                                      var AVG=  $('#AVG'+x).val();
                      var Qty=  $('#Qty'+x).val();

 var Rsu = parseFloat(Qty) * parseFloat(AVG) ;

              $('#COST'+x).val(parseFloat(Rsu));

                        $.fn.rowCount = function() {
     return $('tr', $(this).find('tbody')).length;
   };

   var rowctr = $('#X').rowCount();

    var sumQ = 0;
   $('.Qun').each(function(){
   sumQ += parseFloat($(this).val());
   });

    var sumT = 0;
   $('.Tot').each(function(){
   sumT += parseFloat($(this).val());
   });

   $('#PRONUMS').text(parseFloat(rowctr));
   $('#TOTALQTY').text(parseFloat(sumQ));
   $('#TOTALCOST').text(parseFloat(sumT));


                                  });

                              },
                              complete: function(){
                                  $('#loader').css("visibility", "hidden");
                              }
                          });
                      } else {

                          $('select[name="state"]').empty();
                      }

}
</script>

<!-- Filter Branch and client group -->
<script>

        $('#GroupSingle').on('change', function(){
      var Group = $('#GroupSingle').val();
                         $.ajax({
                   url: 'GroupSingleFilter',
                   type:"GET",
                   data:{
                   Group:Group
                   },
                   dataType:"json",
                   beforeSend: function(){
                       $('#loader').css("visibility", "visible");
                   },

                   success:function(data) {

                       $('#group').empty();

                       $.each(data, function(key, value){

             $('#group').append('<option value="'+ key +'">' + value + '</option>');

                       });


                            $("#group").select2("destroy");
$("#group").find('option').attr('selected',true);
$("#group").select2();

                   },
                   complete: function(){
                       $('#loader').css("visibility", "hidden");
                   }
               });


 });


</script>
@endpush
